ข้ามไปยังเนื้อหา

Kandinsky5 · Distill

ผสานการทำงาน

ID โมเดล kandinsky5/text-to-video/distill
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5/text-to-video/distill?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.05 50 เครดิต API · ≈ ₽5.38 เรียกใช้ในหน้านี้

รับคีย์ API

Kandinsky 5 แบบข้อความเป็นวิดีโอที่ผ่านการกลั่น โดยมีจำนวนขั้นตอนคงที่และคลิป 5s หรือ 10s ในอัตราส่วนภาพสามแบบ

Sber AI · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

คำสั่งข้อความที่ใช้ควบคุมการสร้างวิดีโอ

duration 5 s

ความยาวของวิดีโอเอาต์พุต: 5s หรือ 10s

aspect_ratio ค่าเริ่มต้น 3:2

อัตราส่วนภาพของวิดีโอเอาต์พุต: เลือก 3:2, 1:1 หรือ 2:3

ค่าเริ่มต้น 768x512

ขนาดวิดีโอที่คำนวณจากอัตราส่วนภาพเป็น 768x512, 512x512 หรือ 512x768 โดยแสดงในรูปแบบ W:H

ขั้นสูง enable_safety_checker
POST /run/kandinsky5/text-to-video/distill?wait=20 ใบเสนอราคา → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5/text-to-video/distill?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Kandinsky5 · Distill

Kandinsky 5 รุ่นที่ผ่านการกลั่นและมีขนาดเบากว่าสำหรับข้อความเป็นวิดีโอ รับ `prompt`, `duration` ที่เป็น 5s หรือ 10s และ `aspect_ratio` ที่เป็น 3:2, 1:1 หรือ 2:3 ไม่มีการตั้งค่า `num_inference_steps` จึงมีสิ่งให้ปรับแต่งน้อยกว่า

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
คำสั่งข้อความที่ใช้ควบคุมการสร้างวิดีโอ
resolutionไม่บังคับ
ประเภทstring
ค่าเริ่มต้น768x512
ขนาดวิดีโอที่คำนวณจากอัตราส่วนภาพเป็น 768x512, 512x512 หรือ 512x768 โดยแสดงในรูปแบบ W:H
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น3:2
3:21:12:3
อัตราส่วนภาพของวิดีโอเอาต์พุต: เลือก 3:2, 1:1 หรือ 2:3
durationไม่บังคับ
ประเภทenum
ค่าเริ่มต้น5s
5s10s
ความยาวของวิดีโอเอาต์พุต: 5s หรือ 10s
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kandinsky5/text-to-video/distill",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size} | nullไฟล์วิดีโอที่สร้างขึ้น

โมเดลเพิ่มเติม: ข้อความเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/kandinsky5/text-to-video/distill.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt